Subject: [quicwg/base-drafts] b7b2c6: eliminate the different between when having no RTT...

From: Martin Thomson <[email-masked]>
Date: Mon, 11 May 2020 17:15:50 -0700

Branch: refs/heads/authenticate-hs-cid
  Home:   https://github.com/quicwg/base-drafts
  Commit: b7b2c6eac88c7287fdba9b7a56e8f838ee518ccf
      https://github.com/quicwg/base-drafts/commit/b7b2c6eac88c7287fdba9b7a56e8f838ee518ccf
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-15 (Sun, 15 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  eliminate the different between when having no RTT sample and having one

  Commit: fbefa4ae4fadf520918de418d4ea555c23851700
      https://github.com/quicwg/base-drafts/commit/fbefa4ae4fadf520918de418d4ea555c23851700
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-16 (Mon, 16 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  to be clear, split paragraphs that discuss no rtt sample vs. 1 rtt sample

  Commit: a56598572fd8656b30a2c800eabacac24b75b180
      https://github.com/quicwg/base-drafts/commit/a56598572fd8656b30a2c800eabacac24b75b180
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-16 (Mon, 16 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  typo

  Commit: 9c28244e70183fa35ee5690dc94b68f8deb28c98
      https://github.com/quicwg/base-drafts/commit/9c28244e70183fa35ee5690dc94b68f8deb28c98
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-17 (Tue, 17 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: c4ed9aa8173340359ce52a5030141aef624e562d
      https://github.com/quicwg/base-drafts/commit/c4ed9aa8173340359ce52a5030141aef624e562d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-18 (Wed, 18 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 31f5b8e9815a8d572f21f203ce2a6416765da13d
      https://github.com/quicwg/base-drafts/commit/31f5b8e9815a8d572f21f203ce2a6416765da13d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-18 (Wed, 18 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  wordwrap

  Commit: 8b9fca5fac1626c928456b70da85689113260dad
      https://github.com/quicwg/base-drafts/commit/8b9fca5fac1626c928456b70da85689113260dad
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-19 (Thu, 19 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Limit connection drops from Version Negotiation

The text was a little too broad.  This breaks up the text and adds two
caveats to handling rules:

1. If you have handled another packet, then assume that everything is
good.

2. If you the VN includes QUIC v1, then assume that something got
corrupted.

Closes #3532.

  Commit: 3694163e12642a883968502c1225472f80692c16
      https://github.com/quicwg/base-drafts/commit/3694163e12642a883968502c1225472f80692c16
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-19 (Thu, 19 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's suggestion

  Commit: 512a5a4399191b11bc207443cce2cbd75943bbee
      https://github.com/quicwg/base-drafts/commit/512a5a4399191b11bc207443cce2cbd75943bbee
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-19 (Thu, 19 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: de068497997eb48d9cea63c903843dca5818fc4d
      https://github.com/quicwg/base-drafts/commit/de068497997eb48d9cea63c903843dca5818fc4d
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-20 (Fri, 20 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Added considerations for 5tuple routing

  Commit: b3e5a0c51f2e392366846026bafb98a0e654b4df
      https://github.com/quicwg/base-drafts/commit/b3e5a0c51f2e392366846026bafb98a0e654b4df
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-20 (Fri, 20 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  s/may/can

  Commit: 657b103281dcbdceb2b1309dcdd1b1aae96fd71c
      https://github.com/quicwg/base-drafts/commit/657b103281dcbdceb2b1309dcdd1b1aae96fd71c
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-20 (Fri, 20 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  typo

  Commit: 9c9ebf7b6933158349770298fec49c5d9e2987a1
      https://github.com/quicwg/base-drafts/commit/9c9ebf7b6933158349770298fec49c5d9e2987a1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-03-23 (Mon, 23 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Don't remember the ACK delay

Closes #3433.

  Commit: 1406b1db65cfbc237e455d081f162307573eb9b3
      https://github.com/quicwg/base-drafts/commit/1406b1db65cfbc237e455d081f162307573eb9b3
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-25 (Wed, 25 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Responded to reviews

  Commit: 6962e63f1744bb1b6a29ef892a1555b1969410fe
      https://github.com/quicwg/base-drafts/commit/6962e63f1744bb1b6a29ef892a1555b1969410fe
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-26 (Thu, 26 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix latest reviews

  Commit: 7ad84a2aa5dd28bc6ed38d18fb5935600d6f3b38
      https://github.com/quicwg/base-drafts/commit/7ad84a2aa5dd28bc6ed38d18fb5935600d6f3b38
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-27 (Fri, 27 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Addressed most of MT's comments

  Commit: 8ea8ed410a5340a7289e29ac57c2f6e5d4a52d18
      https://github.com/quicwg/base-drafts/commit/8ea8ed410a5340a7289e29ac57c2f6e5d4a52d18
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-27 (Fri, 27 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  whitespace

  Commit: 3dc10be1eba2a005b9e95a5f03c5db48951d5464
      https://github.com/quicwg/base-drafts/commit/3dc10be1eba2a005b9e95a5f03c5db48951d5464
  Author: ianswett <[email-masked]>
  Date:   2020-03-29 (Sun, 29 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Do not reset pto_count on Initial ACKs

In order to avoid sending anti-deadlock packets too quickly when the server doesn't yet have anything to send.

Fixes #3546

  Commit: 2c682ab830ff4b2d35be0e1a0acc62108ea3d7c9
      https://github.com/quicwg/base-drafts/commit/2c682ab830ff4b2d35be0e1a0acc62108ea3d7c9
  Author: ianswett <[email-masked]>
  Date:   2020-03-29 (Sun, 29 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: f31ae49b91f809ec679775f77f565540bda49a7d
      https://github.com/quicwg/base-drafts/commit/f31ae49b91f809ec679775f77f565540bda49a7d
  Author: ianswett <[email-masked]>
  Date:   2020-03-29 (Sun, 29 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Revert reflow changes to keep them separate

  Commit: c682269b2ebc0b8d40f97b96e97b69689fd02562
      https://github.com/quicwg/base-drafts/commit/c682269b2ebc0b8d40f97b96e97b69689fd02562
  Author: ianswett <[email-masked]>
  Date:   2020-03-29 (Sun, 29 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 50e0259f955a69de2bd7bd88d10ee808a1727432
      https://github.com/quicwg/base-drafts/commit/50e0259f955a69de2bd7bd88d10ee808a1727432
  Author: ianswett <[email-masked]>
  Date:   2020-03-29 (Sun, 29 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Set pto_count to 0 when dropping keys

This should have been in the PR that created OnPacketNumberSpaceDiscarded().

  Commit: 85bb93e1be8612c4e1b70a0506e5793b2f966c6e
      https://github.com/quicwg/base-drafts/commit/85bb93e1be8612c4e1b70a0506e5793b2f966c6e
  Author: ianswett <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Only do this for the client

  Commit: dbc1c1db9cd94641b6faf82547a7028c25eaad60
      https://github.com/quicwg/base-drafts/commit/dbc1c1db9cd94641b6faf82547a7028c25eaad60
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 62b34f688440efd8db422ab23c8b103944d1d5a1
      https://github.com/quicwg/base-drafts/commit/62b34f688440efd8db422ab23c8b103944d1d5a1
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 0abc1ed6f33ec1a6b62a320e12e4fa9a36a9972b
      https://github.com/quicwg/base-drafts/commit/0abc1ed6f33ec1a6b62a320e12e4fa9a36a9972b
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 4dfae9c5d7613a386e5ed598a28d54aa2947579e
      https://github.com/quicwg/base-drafts/commit/4dfae9c5d7613a386e5ed598a28d54aa2947579e
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 2c81e06af7c8d22384868e28da3467bb1df910a1
      https://github.com/quicwg/base-drafts/commit/2c81e06af7c8d22384868e28da3467bb1df910a1
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 784000eefce372964fd50d4f11dca4f908ef0773
      https://github.com/quicwg/base-drafts/commit/784000eefce372964fd50d4f11dca4f908ef0773
  Author: martinduke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 88a71208e9d4db9fcd6f4724bc1476e1f604a4bf
      https://github.com/quicwg/base-drafts/commit/88a71208e9d4db9fcd6f4724bc1476e1f604a4bf
  Author: Martin Duke <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  removed inferences about disable_migration

  Commit: 067d3fa456cc4ef54718991aca9cdad1634f881a
      https://github.com/quicwg/base-drafts/commit/067d3fa456cc4ef54718991aca9cdad1634f881a
  Author: Eric Kinnear <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  #3489: Note that state probably needs to be maintained for each issued CID if the peer chooses to use it

  Commit: f122c3eb3b563fe50bb3cec5305833ea5a6f2bd1
      https://github.com/quicwg/base-drafts/commit/f122c3eb3b563fe50bb3cec5305833ea5a6f2bd1
  Author: Mike Bishop <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Speak as one with authority

  Commit: 9d12af7725d8b44897c17cc174632eb83868340e
      https://github.com/quicwg/base-drafts/commit/9d12af7725d8b44897c17cc174632eb83868340e
  Author: Mike Bishop <[email-masked]>
  Date:   2020-03-30 (Mon, 30 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  No detail here

  Commit: d887d3bd18b3638f73703885db0e93f32120345a
      https://github.com/quicwg/base-drafts/commit/d887d3bd18b3638f73703885db0e93f32120345a
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 22a3071287a58755789df4115eec579b86198a52
      https://github.com/quicwg/base-drafts/commit/22a3071287a58755789df4115eec579b86198a52
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 3c7a903cfd8b86f9fe81522cd81c967f7edba919
      https://github.com/quicwg/base-drafts/commit/3c7a903cfd8b86f9fe81522cd81c967f7edba919
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  wordwrap

  Commit: 7bc36d9a8e26ed505dab7082fb0da172839088c6
      https://github.com/quicwg/base-drafts/commit/7bc36d9a8e26ed505dab7082fb0da172839088c6
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M .circleci/config.yml
    M .lint.py
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into kazuho/initial-timeouts

  Commit: 12b817e737f4e3ccd4e9a45db40036496f7bd0c5
      https://github.com/quicwg/base-drafts/commit/12b817e737f4e3ccd4e9a45db40036496f7bd0c5
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  wordwrap

  Commit: 312062018b0596e9a751a7004781598f4059b343
      https://github.com/quicwg/base-drafts/commit/312062018b0596e9a751a7004781598f4059b343
  Author: Mike Bishop <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: ee2397b42d7afdd6d8627c0de06c40588b97b007
      https://github.com/quicwg/base-drafts/commit/ee2397b42d7afdd6d8627c0de06c40588b97b007
  Author: Mike Bishop <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Rewrap, rearrange

  Commit: 96d2a6bde85df0b92864dd8cdc92b1aa35838dfa
      https://github.com/quicwg/base-drafts/commit/96d2a6bde85df0b92864dd8cdc92b1aa35838dfa
  Author: ianswett <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 62544e2403262f194f0074de29171da839581677
      https://github.com/quicwg/base-drafts/commit/62544e2403262f194f0074de29171da839581677
  Author: ianswett <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 4b278382d1703d6433ae5a1cb2a5ff9628227f27
      https://github.com/quicwg/base-drafts/commit/4b278382d1703d6433ae5a1cb2a5ff9628227f27
  Author: ianswett <[email-masked]>
  Date:   2020-03-31 (Tue, 31 Mar 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: c7684769bd36a96eb8cdb3e985b2a5f517f0e49e
      https://github.com/quicwg/base-drafts/commit/c7684769bd36a96eb8cdb3e985b2a5f517f0e49e
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-01 (Wed, 01 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Update draft-ietf-quic-http.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: 5a7994cad149f467f72ff21e240c62cfaf0523d8
      https://github.com/quicwg/base-drafts/commit/5a7994cad149f467f72ff21e240c62cfaf0523d8
  Author: ianswett <[email-masked]>
  Date:   2020-04-01 (Wed, 01 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge branch 'master' into ianswett-initial-pto

  Commit: 3bd99fbdbfcc74e15f1a0402f2168b9f30ab14a5
      https://github.com/quicwg/base-drafts/commit/3bd99fbdbfcc74e15f1a0402f2168b9f30ab14a5
  Author: ianswett <[email-masked]>
  Date:   2020-04-02 (Thu, 02 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Kazuho's suggestion

  Commit: 51587ef5951ec776ef1d547f18dff3b9358842ef
      https://github.com/quicwg/base-drafts/commit/51587ef5951ec776ef1d547f18dff3b9358842ef
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-02 (Thu, 02 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Reorder some things

  Commit: 7ab2f2ef93a33ed9adb9e5e9c2a7c842cfc6471f
      https://github.com/quicwg/base-drafts/commit/7ab2f2ef93a33ed9adb9e5e9c2a7c842cfc6471f
  Author: Eric Kinnear <[email-masked]>
  Date:   2020-04-02 (Thu, 02 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  @MikeBishop's review comment

Co-Authored-By: Mike Bishop <[email-masked]>

  Commit: 1f12b18593747047824b01fd9b5f05c802615a89
      https://github.com/quicwg/base-drafts/commit/1f12b18593747047824b01fd9b5f05c802615a89
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Text on session resumption

In looking at #3028, I realized that we had nowhere that addressed the
basic concept of resumption.  This is, I hope, all that we need to say
on the subject.  It talks about state and then the privacy implications
of using resumption.

I found less in the TLS 1.3 RFC on this subject than I might have liked
to see.  It only really addressed ticket reuse.  So this is a little
more verbose than is ideal.

Closes #3028.

  Commit: b51c50467f9d19e5acc1ded87db2cc322b41e57e
      https://github.com/quicwg/base-drafts/commit/b51c50467f9d19e5acc1ded87db2cc322b41e57e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Add a note to security considerations

  Commit: 46ee3b6c79fed064878fd43d265c78150a4bf70e
      https://github.com/quicwg/base-drafts/commit/46ee3b6c79fed064878fd43d265c78150a4bf70e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Tweak intro to security considerations

  Commit: 5d528d65f0d8ea9e1be0136af63e987788246728
      https://github.com/quicwg/base-drafts/commit/5d528d65f0d8ea9e1be0136af63e987788246728
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Remove dead note from header protection section

  Commit: a589a2af9723ef9378d88486e015df6f3ea8e395
      https://github.com/quicwg/base-drafts/commit/a589a2af9723ef9378d88486e015df6f3ea8e395
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Kramdown usage updates

  Commit: 3008ca37d95858b854becef833957a150e602abb
      https://github.com/quicwg/base-drafts/commit/3008ca37d95858b854becef833957a150e602abb
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add subsections to Retry packet section

This was getting a little long.  You could get lost in there.

The text was fine, it was mostly well structured.  All it needed was one
small move and some headers.

  Commit: f54003133dec2383d116c775451f48aa0bb604d0
      https://github.com/quicwg/base-drafts/commit/f54003133dec2383d116c775451f48aa0bb604d0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-08 (Wed, 08 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Continuation does not imply completion

Co-Authored-By: Marten Seemann <[email-masked]>

  Commit: 4c97d9544a49868c3043177312b3cd97a41d5321
      https://github.com/quicwg/base-drafts/commit/4c97d9544a49868c3043177312b3cd97a41d5321
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  speling

Co-Authored-By: ianswett <[email-masked]>

  Commit: 1bfa6f297c9b774e310f128a1f3c9fc450f2c2c2
      https://github.com/quicwg/base-drafts/commit/1bfa6f297c9b774e310f128a1f3c9fc450f2c2c2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix mailing list links too

  Commit: 0a3dacee5db0f6782e8b4da30a6c8e82590e8c1a
      https://github.com/quicwg/base-drafts/commit/0a3dacee5db0f6782e8b4da30a6c8e82590e8c1a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fixup bad link

  Commit: a1eff954c33c39d35b62d3a5491099e83562f0e2
      https://github.com/quicwg/base-drafts/commit/a1eff954c33c39d35b62d3a5491099e83562f0e2
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 53b4584e6fc28ba304486f63e98294ffce326233
      https://github.com/quicwg/base-drafts/commit/53b4584e6fc28ba304486f63e98294ffce326233
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 5226e28d34da20c95106cc8022668b5b09751577
      https://github.com/quicwg/base-drafts/commit/5226e28d34da20c95106cc8022668b5b09751577
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: e701772e6c33bd6002546787c017b54878b392e4
      https://github.com/quicwg/base-drafts/commit/e701772e6c33bd6002546787c017b54878b392e4
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: e192b697af82865eedc302435a35bd99bede506b
      https://github.com/quicwg/base-drafts/commit/e192b697af82865eedc302435a35bd99bede506b
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 02069cd3461402b75d3a6b5924728875ae58277e
      https://github.com/quicwg/base-drafts/commit/02069cd3461402b75d3a6b5924728875ae58277e
  Author: ianswett <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: cd389d729eefda129096fd7ab0590541af5df39c
      https://github.com/quicwg/base-drafts/commit/cd389d729eefda129096fd7ab0590541af5df39c
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-09 (Thu, 09 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix reference to RFC5682

  Commit: c0ad8f5fa424a23921dbbf33ae76477945b299ce
      https://github.com/quicwg/base-drafts/commit/c0ad8f5fa424a23921dbbf33ae76477945b299ce
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-14 (Tue, 14 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  plural

Co-Authored-By: Mike Bishop <[email-masked]>

  Commit: 2c1639b6878c052a3bd5220bcae298f8052cb688
      https://github.com/quicwg/base-drafts/commit/2c1639b6878c052a3bd5220bcae298f8052cb688
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-14 (Tue, 14 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3574 from quicwg/jri/fix-normative

Fix reference to RFC5682

  Commit: 3514bb31525a46963cd74139ab0dd7605b20b44a
      https://github.com/quicwg/base-drafts/commit/3514bb31525a46963cd74139ab0dd7605b20b44a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3569 from quicwg/kramdown-updates

Kramdown usage updates

  Commit: 45de5a1d73b963ea5888d063b0a6daa48f0efc97
      https://github.com/quicwg/base-drafts/commit/45de5a1d73b963ea5888d063b0a6daa48f0efc97
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3568 from quicwg/dead-hp-note

Remove dead note from header protection section

  Commit: 65d2acbe3055ab996a07fd9a9c56626e66052844
      https://github.com/quicwg/base-drafts/commit/65d2acbe3055ab996a07fd9a9c56626e66052844
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  More detail regarding dropping of ACK Ranges

This explains what needs to be kept and why.  Specifically, you need to
keep ranges unless you have other means of ensuring that you don't
accept packets from those ranges again.  You also need to keep the
largest acknowledged so that you can get a packet number from subsequent
packets.

This also recommends that ACK frames include the largest acknowledged
always.  That is primarily to ensure that ECN works properly, and even
there, you only disable ECN if you get some weird reordering, so it's
probably not a big deal if you don't follow this recommendation.

Closes #3541.
Closes #3537.

  Commit: 936c5a0abb73827453297e9c6af5326ac80763bc
      https://github.com/quicwg/base-drafts/commit/936c5a0abb73827453297e9c6af5326ac80763bc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Test for an alternative format

For describing packet and frame layouts.  Prototype in the transport
doc only.

Not sure if this is worth pursuing, but it closes #3115 if it does.

  Commit: cb4c268a1ce23a3ad3c593c64e17a9d365fa2c62
      https://github.com/quicwg/base-drafts/commit/cb4c268a1ce23a3ad3c593c64e17a9d365fa2c62
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Some more formalism

  Commit: 50a1c5f24c9a9a3dae60282dbc8010d61ac187d7
      https://github.com/quicwg/base-drafts/commit/50a1c5f24c9a9a3dae60282dbc8010d61ac187d7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refinements

  Commit: fcdd2fa0265be10914c0ef84c9818497f48ac953
      https://github.com/quicwg/base-drafts/commit/fcdd2fa0265be10914c0ef84c9818497f48ac953
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  One fewer line

  Commit: 1bf2dc3301734962ac02b4ba64f481451d00c14e
      https://github.com/quicwg/base-drafts/commit/1bf2dc3301734962ac02b4ba64f481451d00c14e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Follow own conventions

  Commit: ac1f3ac831e16b62f0883fa9b25acf5da8eba2a5
      https://github.com/quicwg/base-drafts/commit/ac1f3ac831e16b62f0883fa9b25acf5da8eba2a5
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refine format syntax more

  Commit: 44e37af7f673f81651dc2590799f34de8577154a
      https://github.com/quicwg/base-drafts/commit/44e37af7f673f81651dc2590799f34de8577154a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply the new format throughout

  Commit: 3223ae2141a4f1373378ec99ed22dbb266999b85
      https://github.com/quicwg/base-drafts/commit/3223ae2141a4f1373378ec99ed22dbb266999b85
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use length instead of len now that there is room

  Commit: 4cc5359be9ce099d15e5a344c22278c0a38eaac8
      https://github.com/quicwg/base-drafts/commit/4cc5359be9ce099d15e5a344c22278c0a38eaac8
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Batch of code review suggestions

Co-Authored-By: ianswett <[email-masked]>
Co-Authored-By: Mike Bishop <[email-masked]>
Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 68ccc047f48e2dff3ca1fe595cbf32e1abc2d261
      https://github.com/quicwg/base-drafts/commit/68ccc047f48e2dff3ca1fe595cbf32e1abc2d261
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrap

  Commit: 4c0abcff58fa163d3a506c592a89f6e8b41789d0
      https://github.com/quicwg/base-drafts/commit/4c0abcff58fa163d3a506c592a89f6e8b41789d0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove parenthesized letters from bit notation

  Commit: 4d4701548ea1d9f18140e89a1114c003b4af79ed
      https://github.com/quicwg/base-drafts/commit/4d4701548ea1d9f18140e89a1114c003b4af79ed
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-15 (Wed, 15 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Consistent naming for _BLOCKED fields

Closes #3579.

  Commit: 82bcaff60bf2d6725da5d1c1f628fb510ebdae7f
      https://github.com/quicwg/base-drafts/commit/82bcaff60bf2d6725da5d1c1f628fb510ebdae7f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-16 (Thu, 16 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Notpayload

Co-Authored-By: Lucas Pardue <[email-masked]>

  Commit: f746d7f956d321e1fdb5decae711bd3360a6ac46
      https://github.com/quicwg/base-drafts/commit/f746d7f956d321e1fdb5decae711bd3360a6ac46
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-16 (Thu, 16 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Define the SETTINGS frame properly

  Commit: 1a1e49b557c6d913461b4b692aa38884e7aecd1a
      https://github.com/quicwg/base-drafts/commit/1a1e49b557c6d913461b4b692aa38884e7aecd1a
  Author: ianswett <[email-masked]>
  Date:   2020-04-18 (Sat, 18 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 7826ec1e1a5db2c03eebd43ff9dfd5ef6b3e4f69
      https://github.com/quicwg/base-drafts/commit/7826ec1e1a5db2c03eebd43ff9dfd5ef6b3e4f69
  Author: ianswett <[email-masked]>
  Date:   2020-04-18 (Sat, 18 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 2687b58c43c63eee2bf2f2a229dc95e5b1d05654
      https://github.com/quicwg/base-drafts/commit/2687b58c43c63eee2bf2f2a229dc95e5b1d05654
  Author: ianswett <[email-masked]>
  Date:   2020-04-18 (Sat, 18 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 72c15c77fefa02d92daf2016553deb1185e7fcb7
      https://github.com/quicwg/base-drafts/commit/72c15c77fefa02d92daf2016553deb1185e7fcb7
  Author: ianswett <[email-masked]>
  Date:   2020-04-18 (Sat, 18 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3525 from kazuho/kazuho/initial-timeouts

eliminate the difference between when having no RTT sample and having one

  Commit: 66fb2929883fc076683392c81be00c2b6936ad82
      https://github.com/quicwg/base-drafts/commit/66fb2929883fc076683392c81be00c2b6936ad82
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Why min CWND of 2 instead of 1

Feel free to suggest better text or other reasons, but this is what I came up with.

Fixes #3261

  Commit: beca7cd89fadd8ab85d81aee9856aa53e90648f9
      https://github.com/quicwg/base-drafts/commit/beca7cd89fadd8ab85d81aee9856aa53e90648f9
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 1f178bd4d73ac7f3f7c2168e775fe5f64c92dc61
      https://github.com/quicwg/base-drafts/commit/1f178bd4d73ac7f3f7c2168e775fe5f64c92dc61
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: eb935271a7446ecdf7d598c794db2ebfd4c4ff39
      https://github.com/quicwg/base-drafts/commit/eb935271a7446ecdf7d598c794db2ebfd4c4ff39
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 6db7436f8ed8aaf1d52c1c136321fd3639c08062
      https://github.com/quicwg/base-drafts/commit/6db7436f8ed8aaf1d52c1c136321fd3639c08062
  Author: ianswett <[email-masked]>
  Date:   2020-04-19 (Sun, 19 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3551 from quicwg/ianswett-initial-pto

Do not reset pto_count on Initial ACKs

  Commit: db65357e18d4e38d7e9c8ac16e1b66ef21d8e51b
      https://github.com/quicwg/base-drafts/commit/db65357e18d4e38d7e9c8ac16e1b66ef21d8e51b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3557 from erickinnear/ek/per_cid_state

Note that state needs to be maintained for each issued CID if the peer chooses to use it

  Commit: 70772cb0d2cc7975c56d862d5fcd619c0baa5daf
      https://github.com/quicwg/base-drafts/commit/70772cb0d2cc7975c56d862d5fcd619c0baa5daf
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3533 from quicwg/ignore-same-version-vn

Limit connection drops from Version Negotiation

  Commit: bf3876a164e6a10b4f9e6105c5ecb9f1142899d0
      https://github.com/quicwg/base-drafts/commit/bf3876a164e6a10b4f9e6105c5ecb9f1142899d0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3545 from quicwg/dont-remember-max_ack_delay

Don't remember the ACK delay

  Commit: e05726eb06f6ea4b94991b71305cfd6c4feff9e5
      https://github.com/quicwg/base-drafts/commit/e05726eb06f6ea4b94991b71305cfd6c4feff9e5
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3584 from quicwg/blocked-frame-limit-names

Consistent naming for _BLOCKED fields

  Commit: 5e5a61d904bc870925af97a27d11d18b8a5c2520
      https://github.com/quicwg/base-drafts/commit/5e5a61d904bc870925af97a27d11d18b8a5c2520
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Describe what happens if TLS breaks

We don't ever really say that QUIC depends on TLS providing the
properties that we claim TLS provides.  So it's worth pointing that
exposure.  This is more so because some of the properties we claim are
dependent on these properties.

Closes #3512.

  Commit: 4ca647232fb7455f49c926314735d0434c9c0dc3
      https://github.com/quicwg/base-drafts/commit/4ca647232fb7455f49c926314735d0434c9c0dc3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarifications for preferred_address

This just writes down what @MikeBishop suggested in #3432.

Closes #3432.

  Commit: 9c911c716fddb325c0bdd91039f0e6095442cc74
      https://github.com/quicwg/base-drafts/commit/9c911c716fddb325c0bdd91039f0e6095442cc74
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Eric Kinnear <[email-masked]>

  Commit: 6e6501fd51a6c5673c4e3a1109fcf5f0bd78e06f
      https://github.com/quicwg/base-drafts/commit/6e6501fd51a6c5673c4e3a1109fcf5f0bd78e06f
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Merge pull request #3558 from quicwg/http/authority

Authoritative access in HTTP/3

  Commit: 6d95aa65d4366e6474de8b61f964e99ffd9a996b
      https://github.com/quicwg/base-drafts/commit/6d95aa65d4366e6474de8b61f964e99ffd9a996b
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 1225aad461e601e2cfec4e354a8b34704f633f81
      https://github.com/quicwg/base-drafts/commit/1225aad461e601e2cfec4e354a8b34704f633f81
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: d214bfdcdc246bc0955acf834fc64c3d463ab2d6
      https://github.com/quicwg/base-drafts/commit/d214bfdcdc246bc0955acf834fc64c3d463ab2d6
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: ce6ab3402520ed0931bafed333a3ab3cddf73903
      https://github.com/quicwg/base-drafts/commit/ce6ab3402520ed0931bafed333a3ab3cddf73903
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 5580b7a57d7fa5f1585f598751f9930b4480c01a
      https://github.com/quicwg/base-drafts/commit/5580b7a57d7fa5f1585f598751f9930b4480c01a
  Author: ianswett <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 2cf9a5b77c1ef7e54de50f8cb2744cd9a1342627
      https://github.com/quicwg/base-drafts/commit/2cf9a5b77c1ef7e54de50f8cb2744cd9a1342627
  Author: Eric Kinnear <[email-masked]>
  Date:   2020-04-20 (Mon, 20 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Unify on semicolon

  Commit: 4df3184f1d5f1fca44b368bc1b1e542a0546f76e
      https://github.com/quicwg/base-drafts/commit/4df3184f1d5f1fca44b368bc1b1e542a0546f76e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-21 (Tue, 21 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  maybe or not

Co-Authored-By: ianswett <[email-masked]>

  Commit: 72c7eced88de7b859edf4d1f093277851433ab8a
      https://github.com/quicwg/base-drafts/commit/72c7eced88de7b859edf4d1f093277851433ab8a
  Author: ianswett <[email-masked]>
  Date:   2020-04-21 (Tue, 21 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 757a202326e3b78a0b7fb98dece2d4fba2356d57
      https://github.com/quicwg/base-drafts/commit/757a202326e3b78a0b7fb98dece2d4fba2356d57
  Author: Alan Frindell <[email-masked]>
  Date:   2020-04-21 (Tue, 21 Apr 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  [qpack] Fix example

The algorithm was updated at somepoint but the example was lagging.

Fixes #3549

  Commit: aa60cc1879ae4569ac063da9d3c21b49abfc4673
      https://github.com/quicwg/base-drafts/commit/aa60cc1879ae4569ac063da9d3c21b49abfc4673
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3573 from quicwg/alternative-format

Alternative packet format presentation

  Commit: 1e4f3f5057c98e674815e52e66586bbd5312cf19
      https://github.com/quicwg/base-drafts/commit/1e4f3f5057c98e674815e52e66586bbd5312cf19
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3591 from erickinnear/ek/editorial_semicolons

Choose between semicolons and parenthesis

  Commit: 8fac2f26b8ba6fefb3ef58d194a6900c37887a6c
      https://github.com/quicwg/base-drafts/commit/8fac2f26b8ba6fefb3ef58d194a6900c37887a6c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3570 from quicwg/retry-split

Add subsections to Retry packet section

  Commit: 6701ef1888a8018376b6d58f53138297725f0ae4
      https://github.com/quicwg/base-drafts/commit/6701ef1888a8018376b6d58f53138297725f0ae4
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3587 from quicwg/hs-mitm

Describe what happens if TLS breaks

  Commit: 6cdd4fda2a933dee95af7d558baf37bdfd377c30
      https://github.com/quicwg/base-drafts/commit/6cdd4fda2a933dee95af7d558baf37bdfd377c30
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  inheritance

  Commit: bdbfb41d4ef175c3cd46cc9b952b9c6f6886395f
      https://github.com/quicwg/base-drafts/commit/bdbfb41d4ef175c3cd46cc9b952b9c6f6886395f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3566 from quicwg/resumption

Text on session resumption

  Commit: 5a642a3fddf5fbc6a4440433ee00ac9ff602099c
      https://github.com/quicwg/base-drafts/commit/5a642a3fddf5fbc6a4440433ee00ac9ff602099c
  Author: Bence Béky <[email-masked]>
  Date:   2020-04-22 (Wed, 22 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Change one stray HTTP_NO_ERROR to H3_NO_ERROR.

This has already been done at #3119 but somehow got reverted.

  Commit: 7f887a92f9a235c7bfc3d89644ef1d241dfc88db
      https://github.com/quicwg/base-drafts/commit/7f887a92f9a235c7bfc3d89644ef1d241dfc88db
  Author: ianswett <[email-masked]>
  Date:   2020-04-23 (Thu, 23 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  The peer only has 1 key, so send both

Sending in multiple PN spaces on PTO is particularly useful when the peer only has receive keys for 1 pn space, and the you don't know which.

Fixes #3583

  Commit: f4408896e46b394fd4a9b99824ef8f3a52b23ca3
      https://github.com/quicwg/base-drafts/commit/f4408896e46b394fd4a9b99824ef8f3a52b23ca3
  Author: ianswett <[email-masked]>
  Date:   2020-04-23 (Thu, 23 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 514e5b4b68f3558b35e38a5efba361d969d8d8ee
      https://github.com/quicwg/base-drafts/commit/514e5b4b68f3558b35e38a5efba361d969d8d8ee
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Version greasing rewrite

This section was a holdover from when we had real version negotiation,
so it assumed a bunch of actions that don't really apply in the current
document.

This doesn't change what is permitted, but it reframes it a little.

Closes #3013.

  Commit: 1bba65d0d8de49c21c62909450e8685a5aeb4266
      https://github.com/quicwg/base-drafts/commit/1bba65d0d8de49c21c62909450e8685a5aeb4266
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rationale for NEW_CONNECTION_ID processing order

We already had something here, but I think that it missed the central
reason, which is the combination of:

* wanting to replace all connection IDs
* having used the limit from active_connection_id_limit
* wanting to ensure that there is >= 1 available connection IDs left

This phrasing isn't quite that explicit, but I think that it is clear
enough.

Closes #3422.

  Commit: b41c848f281bda976192136c6281185808c5e021
      https://github.com/quicwg/base-drafts/commit/b41c848f281bda976192136c6281185808c5e021
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Define the use of generic TLS alerts

This was already permitted by the transport document, but it was not
adequately explained.  The example that tripped us up was ALPN, which
has received a bit of attention here.

Closes #3580.

  Commit: 88bbc30af2f9d630fb059d39774b295153fa580c
      https://github.com/quicwg/base-drafts/commit/88bbc30af2f9d630fb059d39774b295153fa580c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Cite relevant section

  Commit: 475242d0c9ca9e32113c90859748c7adf577fdfc
      https://github.com/quicwg/base-drafts/commit/475242d0c9ca9e32113c90859748c7adf577fdfc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Tweaks from review

  Commit: cb3e9a4961fffdba7493a77b0db2d73f63f072ca
      https://github.com/quicwg/base-drafts/commit/cb3e9a4961fffdba7493a77b0db2d73f63f072ca
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify anti-deadlock Handshake PTO

This is what the pseudocode says, but I couldn't find anywhere in the text that clarified that if there were no ack-eliciting packets to arm PTO from, use Now().

  Commit: 05c12786fd19607933556d87eb28bfe1111b6c27
      https://github.com/quicwg/base-drafts/commit/05c12786fd19607933556d87eb28bfe1111b6c27
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: eac517cfa6e3e58dd1caf817ee2218513204b905
      https://github.com/quicwg/base-drafts/commit/eac517cfa6e3e58dd1caf817ee2218513204b905
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 8e68ce6266e405fd56b90753737d641be8e7ba50
      https://github.com/quicwg/base-drafts/commit/8e68ce6266e405fd56b90753737d641be8e7ba50
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  DPLPMTUD fixes

A few minor tweaks based on review of the latest DPLPMTUD draft.

If I never have to type DPLPMTUD ever again, I'll be happy.

Closes #3217.

  Commit: 675d02f739735fbc387853e6bea102ec82013d58
      https://github.com/quicwg/base-drafts/commit/675d02f739735fbc387853e6bea102ec82013d58
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix references

Take the regex (note leading space):

```
 \(see([\n\s]+(?:(?:Section|Appendix)[\n\s]+\S+[\n\s]+of[\n\s]+)?(?:\{\{|\[)[^\}]+(?:\}\}|\]))\)\.
```
And replace with:
```
; see$1.
```

All mechanical, no manual fixups.

  Commit: 86c3ad5a1b53e80e3d2c05155c87877166823118
      https://github.com/quicwg/base-drafts/commit/86c3ad5a1b53e80e3d2c05155c87877166823118
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Manual fixes for -transport

  Commit: 49983b1f93846c871fa0ee39147b310a5b1b5156
      https://github.com/quicwg/base-drafts/commit/49983b1f93846c871fa0ee39147b310a5b1b5156
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Manual fixes for -http

  Commit: cef47aeb28cab88c401968cc4039f6d262e0a7db
      https://github.com/quicwg/base-drafts/commit/cef47aeb28cab88c401968cc4039f6d262e0a7db
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update pseudocode to not arm PTO..

For ApplicationData until the handshake is complete.

  Commit: 5faae5c78a75758cbc495374dd457f8abf3d0110
      https://github.com/quicwg/base-drafts/commit/5faae5c78a75758cbc495374dd457f8abf3d0110
  Author: afrind <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  [qpack] Add comment explaining static table (#3576)

* [qpack] Add comment explaining static table

Fixes #3562

* Feedback from Martin and Lucas

  Commit: f53564576b1aac2aeb58abaf12e63c7b6c9ee91c
      https://github.com/quicwg/base-drafts/commit/f53564576b1aac2aeb58abaf12e63c7b6c9ee91c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove trailing spaces

  Commit: d9ed15b2424498cfc8f593392e0971b92d75524f
      https://github.com/quicwg/base-drafts/commit/d9ed15b2424498cfc8f593392e0971b92d75524f
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 681ade21279f5472630008c98c2a66ce930252d7
      https://github.com/quicwg/base-drafts/commit/681ade21279f5472630008c98c2a66ce930252d7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3599 from quicwg/version-greasing

Version greasing rewrite

  Commit: 88a2d691e8f4b25d6f969cf05de7bbfda29244f3
      https://github.com/quicwg/base-drafts/commit/88a2d691e8f4b25d6f969cf05de7bbfda29244f3
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3597 from quicwg/ianswett-1-key

The peer only has 1 key, so PTO both

  Commit: 49476e60ba257b06730ede5bd93a8acb53eb484a
      https://github.com/quicwg/base-drafts/commit/49476e60ba257b06730ede5bd93a8acb53eb484a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3600 from quicwg/cid-limit-flip

Rationale for NEW_CONNECTION_ID processing order

  Commit: 1c7e1332ad70abd26438c42825a003fbff341dd6
      https://github.com/quicwg/base-drafts/commit/1c7e1332ad70abd26438c42825a003fbff341dd6
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  MUST verify => MUST NOT accept on fail

  Commit: 948cb8eccab03b9b1405ab9a6b9bdc9331fcce40
      https://github.com/quicwg/base-drafts/commit/948cb8eccab03b9b1405ab9a6b9bdc9331fcce40
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3588 from quicwg/spa-clarifications

Clarifications for preferred_address

  Commit: 5e6c5b4750c8300f625ae9539ca65f27a5824e0f
      https://github.com/quicwg/base-drafts/commit/5e6c5b4750c8300f625ae9539ca65f27a5824e0f
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

  Commit: e06a5420b9870f9cfe6450f1f1e2e655b76e3861
      https://github.com/quicwg/base-drafts/commit/e06a5420b9870f9cfe6450f1f1e2e655b76e3861
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

  Commit: 1c5b3a9454c5b3e6d183e93d57ce5ce980fcd604
      https://github.com/quicwg/base-drafts/commit/1c5b3a9454c5b3e6d183e93d57ce5ce980fcd604
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: 0b4044e328abb21d5d1fb5055209721b7daf4db5
      https://github.com/quicwg/base-drafts/commit/0b4044e328abb21d5d1fb5055209721b7daf4db5
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: 19e9d5c5cdd9e50d524c6c4fc7c9ef77dce667b8
      https://github.com/quicwg/base-drafts/commit/19e9d5c5cdd9e50d524c6c4fc7c9ef77dce667b8
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 729fcb04e76d59f508d2c853d270065ded6e02cd
      https://github.com/quicwg/base-drafts/commit/729fcb04e76d59f508d2c853d270065ded6e02cd
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 2c874dc1c477a7d8f07d5ad232251c73069f0a97
      https://github.com/quicwg/base-drafts/commit/2c874dc1c477a7d8f07d5ad232251c73069f0a97
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  More explicit 'probe for the MTU'

  Commit: 6567ba811900207808bd427f892ec12de5adf32b
      https://github.com/quicwg/base-drafts/commit/6567ba811900207808bd427f892ec12de5adf32b
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 1368ccebe589a4088b5e86a579d1d4b5818a002d
      https://github.com/quicwg/base-drafts/commit/1368ccebe589a4088b5e86a579d1d4b5818a002d
  Author: ianswett <[email-masked]>
  Date:   2020-04-28 (Tue, 28 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 3b25faf7fc35bcabc7e67569b94ac7901aefedd8
      https://github.com/quicwg/base-drafts/commit/3b25faf7fc35bcabc7e67569b94ac7901aefedd8
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestions

Co-Authored-By: ianswett <[email-masked]>

  Commit: da3ad003f45cd41cf802ac9526de3e4fd7f924ea
      https://github.com/quicwg/base-drafts/commit/da3ad003f45cd41cf802ac9526de3e4fd7f924ea
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3581 from quicwg/keep-acknowledged

More detail regarding dropping of ACK Ranges

  Commit: bcda6c227d2699cb6f161154d3d1ecf2de79ab1d
      https://github.com/quicwg/base-drafts/commit/bcda6c227d2699cb6f161154d3d1ecf2de79ab1d
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Alternative for simple routing section

A follow-up for #3536.

  Commit: 5fd61877c43e2f7c4788f084c177aa658a1fed46
      https://github.com/quicwg/base-drafts/commit/5fd61877c43e2f7c4788f084c177aa658a1fed46
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Scrub for backticks

This doesn't do qpack because qpack is weird and needs a lot more work.

The places where I kept backticks are for the inline formulae that were
used for the reserved codepoints.  That seemed like it was worth quoting
somehow still.  I also kept backticks for references to variables in
examples.

However, this last principle really hurts in qpack and I don't know what
to do about that.

Closes #3609 (we'll need another issue for qpack).

  Commit: cb6d26caf615a6fd3e036cc54ac1b881fc6504fd
      https://github.com/quicwg/base-drafts/commit/cb6d26caf615a6fd3e036cc54ac1b881fc6504fd
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Helpful tweak to existing text

  Commit: 3b2a284675735e2be6b8fe97d977f12ce7df57d2
      https://github.com/quicwg/base-drafts/commit/3b2a284675735e2be6b8fe97d977f12ce7df57d2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Use a list for TLS contributors too

  Commit: 36cac20525c1aefd0c6de9c004866c47261e30a1
      https://github.com/quicwg/base-drafts/commit/36cac20525c1aefd0c6de9c004866c47261e30a1
  Author: martinduke <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: 601c8fe1cd1f0dc4c9a4c35c386b566c7a989a89
      https://github.com/quicwg/base-drafts/commit/601c8fe1cd1f0dc4c9a4c35c386b566c7a989a89
  Author: martinduke <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 743702ca376c3ac2354a27820d75101111cfc857
      https://github.com/quicwg/base-drafts/commit/743702ca376c3ac2354a27820d75101111cfc857
  Author: martinduke <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: cedaac6a30fc82ff2c946af54e13dbb8924aa3fd
      https://github.com/quicwg/base-drafts/commit/cedaac6a30fc82ff2c946af54e13dbb8924aa3fd
  Author: Mike Bishop <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Bullet points, now that we can

  Commit: f254feb0490fb248aa0a4ccd6351072e8e9206b6
      https://github.com/quicwg/base-drafts/commit/f254feb0490fb248aa0a4ccd6351072e8e9206b6
  Author: Bence Béky <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clarify reserved values.

Clarify reserved values for stream types, settings identifiers, frame
types, and error codes.

0x1f * N + 0x21 for the value of N = -1 is 0x02.  Literal interpretation
of the current text includes this as a reserved value.  The
parenthetical examples given in Section 11.2 make it clear that this was
not the intention, rendering this PR editorial.

The main motivation of this PR is not that the current text is
inconsistent, but that parenthetical examples from 11.2 are necessary to
correctly interpret the definitions in sections 6.2.3, 7.2.4.1, 7.2.8,
and 8.1.

Alternative wordings could be:
"0x1f * N + 0x21 for N = 0, 1, 2, ..."
"0x1f * N + 0x02 for positive integer values of N"
"0x1f * N + 0x02 for N = 1, 2, 3, ..."
"0x21, 0x21 + 0x1f, 0x21 + 2 * 0x1f, ..."
"a value of at least 0x21 with a remainder of 0x02 modulo 0x1f"
"a value of at least 0x21 that is congruent to 0x21 modulo 0x1f"
none of which is better than what this PR proposes.

  Commit: d1644e737c1bb358111cf490befa3246e13bad7a
      https://github.com/quicwg/base-drafts/commit/d1644e737c1bb358111cf490befa3246e13bad7a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Revert cases of two different things

Co-Authored-By: Mike Bishop <[email-masked]>

  Commit: 568bd282754328ce0be2939ca1f4da9448201506
      https://github.com/quicwg/base-drafts/commit/568bd282754328ce0be2939ca1f4da9448201506
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3607 from quicwg/semicolons

Moar semicolons

  Commit: 83cc29e72fc4f4ed10871ceabde7b1dae906c58e
      https://github.com/quicwg/base-drafts/commit/83cc29e72fc4f4ed10871ceabde7b1dae906c58e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3536 from martinduke/5tuple-routing

5tuple routing

  Commit: 1bd9afb85bd769cd6f26fc366795841a60aa2daa
      https://github.com/quicwg/base-drafts/commit/1bd9afb85bd769cd6f26fc366795841a60aa2daa
  Author: martinduke <[email-masked]>
  Date:   2020-04-29 (Wed, 29 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix circular reference to kInitialRtt

  Commit: 87df8ee7dba9a546a6f8b1ae118eb1d520de55df
      https://github.com/quicwg/base-drafts/commit/87df8ee7dba9a546a6f8b1ae118eb1d520de55df
  Author: Julian Reschke <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  recovery: fix broken reference to TLS, "Discarding Initial Keys"

  Commit: 4b6baa3648838bf89f944f9a6d4accebca9f525a
      https://github.com/quicwg/base-drafts/commit/4b6baa3648838bf89f944f9a6d4accebca9f525a
  Author: martinduke <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: f62641bda28c5482c3243af27e84adcc7ebbe4b3
      https://github.com/quicwg/base-drafts/commit/f62641bda28c5482c3243af27e84adcc7ebbe4b3
  Author: ianswett <[email-masked]>
  Date:   2020-04-30 (Thu, 30 Apr 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3614 from martinduke/patch-3

Fix circular reference to kInitialRtt

  Commit: 266084226a089ee1df00ebc796e045b0c6418a46
      https://github.com/quicwg/base-drafts/commit/266084226a089ee1df00ebc796e045b0c6418a46
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Quoting in recovery

This fixes some of the quoting issues that I discovered reading the
spec.

  Commit: f39b1b711e1934b77984de0d9d1120396c214592
      https://github.com/quicwg/base-drafts/commit/f39b1b711e1934b77984de0d9d1120396c214592
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Use Section not section

  Commit: bca51a97cd4373c5256fac9128f7523a955c6761
      https://github.com/quicwg/base-drafts/commit/bca51a97cd4373c5256fac9128f7523a955c6761
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  a/that

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: 68f81c2b8487a115a9ca30928685bb92b86a2c59
      https://github.com/quicwg/base-drafts/commit/68f81c2b8487a115a9ca30928685bb92b86a2c59
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3615 from quicwg/simple-routing-rephrase

Alternative for simple routing section

  Commit: b192a052bf006dc2689ea526cc80746ab409aff1
      https://github.com/quicwg/base-drafts/commit/b192a052bf006dc2689ea526cc80746ab409aff1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3606 from quicwg/dplpmtudtdtd

DPLPMTUD fixes

  Commit: dee37615ffed31ac9ff2cd9061ca0e79f866a0ee
      https://github.com/quicwg/base-drafts/commit/dee37615ffed31ac9ff2cd9061ca0e79f866a0ee
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3611 from quicwg/transport/contributor_bullets

Bullet points in Transport Contributors

  Commit: d50128221a55d34c05069d4aadd6e2a726e1c9ba
      https://github.com/quicwg/base-drafts/commit/d50128221a55d34c05069d4aadd6e2a726e1c9ba
  Author: ianswett <[email-masked]>
  Date:   2020-05-01 (Fri, 01 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3604 from quicwg/ianswett-pto-handshake-complete

Update pseudocode to not arm PTO..

  Commit: 7c19197ca32011ba80fdfbdb12ce330133fe6bde
      https://github.com/quicwg/base-drafts/commit/7c19197ca32011ba80fdfbdb12ce330133fe6bde
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-04 (Mon, 04 May 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3621 from quicwg/list-tls-contribs

Use a list for TLS contributors too

  Commit: 66d56893377e52727d620ceb305cd33dc97b3381
      https://github.com/quicwg/base-drafts/commit/66d56893377e52727d620ceb305cd33dc97b3381
  Author: ianswett <[email-masked]>
  Date:   2020-05-04 (Mon, 04 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3618 from reschke/patch-28

recovery: fix broken reference to TLS, "Discarding Initial Keys"

  Commit: fd1142b09af589b871fb7b84745c7e4c03e80f22
      https://github.com/quicwg/base-drafts/commit/fd1142b09af589b871fb7b84745c7e4c03e80f22
  Author: Bence Béky <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  [HTTP/3] Merge two redundant paragraphs on frame ordering.

  Commit: 6da585a501ddb3a451b1905db42165402dfc3d27
      https://github.com/quicwg/base-drafts/commit/6da585a501ddb3a451b1905db42165402dfc3d27
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3617 from quicwg/backticks

Scrub for backticks

  Commit: 6a1ea10afffb0c1b8047596bc0198619522969c9
      https://github.com/quicwg/base-drafts/commit/6a1ea10afffb0c1b8047596bc0198619522969c9
  Author: Mike Bishop <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Initial Contributors

  Commit: 1e67d0fb1c81085c81ab5812621111608d824cdf
      https://github.com/quicwg/base-drafts/commit/1e67d0fb1c81085c81ab5812621111608d824cdf
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: b32ab8c350ac15b92b520f7a3b15f7415b22083b
      https://github.com/quicwg/base-drafts/commit/b32ab8c350ac15b92b520f7a3b15f7415b22083b
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: c6a32d20a9d9a05779076434da2884773cf8aefe
      https://github.com/quicwg/base-drafts/commit/c6a32d20a9d9a05779076434da2884773cf8aefe
  Author: Lucas Pardue <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  editorial advice for h2<->h3 error propagation (#3602)

* editorial advice for h2<->h3 error propagation

* Mike's feedback: invert the advice

  Commit: a09979ec646c0bad69f079fb78ed5c8dd1084899
      https://github.com/quicwg/base-drafts/commit/a09979ec646c0bad69f079fb78ed5c8dd1084899
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3603 from quicwg/ianswett-deadlock-handshake-pto

Clarify anti-deadlock Handshake PTO

  Commit: 58a2fbbc75252ee3c8503ead31e5146e5f74349b
      https://github.com/quicwg/base-drafts/commit/58a2fbbc75252ee3c8503ead31e5146e5f74349b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #3601 from quicwg/alpn-generic

Define the use of generic TLS alerts

  Commit: b270451746cc6ae9655ceb30281de6bf6bbdb628
      https://github.com/quicwg/base-drafts/commit/b270451746cc6ae9655ceb30281de6bf6bbdb628
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 9f773931b7c57a232ef9a9814fb664832eb7436e
      https://github.com/quicwg/base-drafts/commit/9f773931b7c57a232ef9a9814fb664832eb7436e
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: c5b9e72880734f6e9e54bcbbd0339d72bdded5bc
      https://github.com/quicwg/base-drafts/commit/c5b9e72880734f6e9e54bcbbd0339d72bdded5bc
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 9a69f882ff119ab34608b3a750ddc7f4639f3ec1
      https://github.com/quicwg/base-drafts/commit/9a69f882ff119ab34608b3a750ddc7f4639f3ec1
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 1f66975cd3f9cdc5c0fae57376f59177701d8d97
      https://github.com/quicwg/base-drafts/commit/1f66975cd3f9cdc5c0fae57376f59177701d8d97
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3586 from quicwg/ianswett-min-cwnd

Why min CWND of 2 instead of 1

  Commit: 4e9c4ee480862086ae05778160b23c5b27f09f04
      https://github.com/quicwg/base-drafts/commit/4e9c4ee480862086ae05778160b23c5b27f09f04
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3629 from quicwg/section-ref-titlecase

Use Section not section

  Commit: 6c90af6ebd271f09f740ad49c396ffd38dc72076
      https://github.com/quicwg/base-drafts/commit/6c90af6ebd271f09f740ad49c396ffd38dc72076
  Author: ianswett <[email-masked]>
  Date:   2020-05-05 (Tue, 05 May 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3628 from quicwg/recovery-quoting

Quoting in recovery

  Commit: c5063a3cc6755c095376693641862a1a75192527
      https://github.com/quicwg/base-drafts/commit/c5063a3cc6755c095376693641862a1a75192527
  Author: Alan Frindell <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  [qpack] Remove backticks

The new principle is to only use backticks when referring to variables in pseudocode.  There were two such instances that remain.

Fixes #3626

  Commit: dcf603b4707cce7ec9f92df72a2f5b6026560860
      https://github.com/quicwg/base-drafts/commit/dcf603b4707cce7ec9f92df72a2f5b6026560860
  Author: afrind <[email-masked]>
  Date:   2020-05-06 (Wed, 06 May 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  QPACK security considerations (#3575)

* QPACK security considerations

Behold

Fixes: 1737

* Fix lint

* Feedback from Martin and Lucas

* Apply suggestions from code review

Feedback from Mike

Co-authored-by: Mike Bishop <[email-masked]>

* Wordsmithing suggestion from Bence

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: 32b432f443270261c5dc6b58a1519198152102ca
      https://github.com/quicwg/base-drafts/commit/32b432f443270261c5dc6b58a1519198152102ca
  Author: Mike Bishop <[email-masked]>
  Date:   2020-05-07 (Thu, 07 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    R workflow.xml

  Log Message:
  -----------
  A missed commit

  Commit: 1b967adee968825c2f230d3c20c69118f70c4778
      https://github.com/quicwg/base-drafts/commit/1b967adee968825c2f230d3c20c69118f70c4778
  Author: Mike Bishop <[email-masked]>
  Date:   2020-05-07 (Thu, 07 May 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Text/figure consistency

  Commit: 5ddd5814b6e3e839a16d1ef960b22694e67eae4a
      https://github.com/quicwg/base-drafts/commit/5ddd5814b6e3e839a16d1ef960b22694e67eae4a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-08 (Fri, 08 May 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Math, and no more X.

  Commit: 103cfce74f5da885d97b95e6ea46967821068501
      https://github.com/quicwg/base-drafts/commit/103cfce74f5da885d97b95e6ea46967821068501
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-08 (Fri, 08 May 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Merge pull request #3636 from quicwg/invariants/consistency

Text/figure consistency

  Commit: 8411fae236d9ec1598c04e976e3ab90a5525129c
      https://github.com/quicwg/base-drafts/commit/8411fae236d9ec1598c04e976e3ab90a5525129c
  Author: Kazu Yamamoto <[email-masked]>
  Date:   2020-05-08 (Fri, 08 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  redrawing handshake figures in ascending encryption-level order.

  Commit: 20d77df1ddb05985570b2a5df88423046a67740b
      https://github.com/quicwg/base-drafts/commit/20d77df1ddb05985570b2a5df88423046a67740b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-08 (Fri, 08 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3637 from kazu-yamamoto/fix-handshake-figures

redrawing handshake figures in ascending encryption-level order.

  Commit: 81bcdb67d85d953aca7ae378b1f2e4c6a4744578
      https://github.com/quicwg/base-drafts/commit/81bcdb67d85d953aca7ae378b1f2e4c6a4744578
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-12 (Tue, 12 May 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    R workflow.xml

  Log Message:
  -----------
  Merge branch 'master' into authenticate-hs-cid

  Commit: 740cd920d57433273a5dbc74b7fb9a276f6c84bc
      https://github.com/quicwg/base-drafts/commit/740cd920d57433273a5dbc74b7fb9a276f6c84bc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-05-12 (Tue, 12 May 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add a picture

This new figure shows the complete set of messages that determine the
connection ID that each peer uses.  The explanation describes how the
connection IDs in those messages are included in transport parameters.

Hopefully this aids in understanding how this is put together.  It's not
complicated, but it's not necessarily clear from reading a set of rules
that this is the case.

Compare: https://github.com/quicwg/base-drafts/compare/e30cf5fc52da...740cd920d574